Bug 187347 - [PATCH] net-im/mcabber: support staging
Summary: [PATCH] net-im/mcabber: support staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-07 12:00 UTC by Dmitry Marakasov
Modified: 2014-03-29 14:10 UTC (History)
1 user (show)

See Also:


Attachments
mcabber-0.10.2.patch (2.95 KB, patch)
2014-03-07 12:00 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-03-07 12:00:00 UTC
- Support staging
- Use new LIB_DEPENDS syntax

Port maintainer (dhn@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-07 12:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-29 14:08:28 UTC
Author: amdmi3
Date: Sat Mar 29 14:08:24 2014
New Revision: 349516
URL: http://svnweb.freebsd.org/changeset/ports/349516
QAT: https://qat.redports.org/buildarchive/r349516/

Log:
  - Support staging
  - Use new LIB_DEPENDS syntax
  
  PR:		187347
  Submitted by:	amdmi3
  Approved by:	maintainer timeout, portmgr (blanket)

Modified:
  head/net-im/mcabber/Makefile
  head/net-im/mcabber/pkg-plist

Modified: head/net-im/mcabber/Makefile
==============================================================================
--- head/net-im/mcabber/Makefile	Sat Mar 29 14:07:59 2014	(r349515)
+++ head/net-im/mcabber/Makefile	Sat Mar 29 14:08:24 2014	(r349516)
@@ -9,7 +9,7 @@ MASTER_SITES=	http://www.lilotux.net/~mi
 MAINTAINER=	dhn@FreeBSD.org
 COMMENT=	Small Jabber console client
 
-LIB_DEPENDS=	loudmouth:${PORTSDIR}/net-im/loudmouth
+LIB_DEPENDS=	libloudmouth-1.so:${PORTSDIR}/net-im/loudmouth
 
 LICENSE=	GPLv2
 
@@ -22,48 +22,24 @@ USES=		pkgconfig gettext iconv ncurses
 USE_LDCONFIG=	yes
 USE_GNOME=	glib20
 
-MAN1=		mcabber.1
-
 OPTIONS_DEFINE=	GPGME OTR
 OPTIONS_RADIO=	SPELL
 OPTIONS_RADIO_SPELL=	ASPELL ENCHANT
+OPTIONS_SUB=	yes
+
 GPGME_DESC=	Use security/gpgme for PGP support
 OTR_DESC=	Off-the-record messaging support
 ENCHANT_DESC=	Spell checking via enchant
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MGPGME}
-LIB_DEPENDS+=	libgpgme.so:${PORTSDIR}/security/gpgme
-CONFIGURE_ARGS+=--enable-gpgme
-.else
-CONFIGURE_ARGS+=--disable-gpgme
-.endif
-
-.if ${PORT_OPTIONS:MASPELL}
-LIB_DEPENDS+=	aspell.16:${PORTSDIR}/textproc/aspell
-CONFIGURE_ARGS+=--enable-aspell
-.else
-CONFIGURE_ARGS+=--disable-aspell
-.endif
-
-.if ${PORT_OPTIONS:MENCHANT}
-LIB_DEPENDS+=	enchant.1:${PORTSDIR}/textproc/enchant
-CONFIGURE_ARGS+=--enable-enchant
-.else
-CONFIGURE_ARGS+=--disable-enchant
-.endif
-
-.if ${PORT_OPTIONS:MOTR}
-LIB_DEPENDS+=	otr.4:${PORTSDIR}/security/libotr3 \
-		gcrypt:${PORTSDIR}/security/libgcrypt
-CONFIGURE_ARGS+=--enable-otr
-PLIST_SUB+=	OTR=""
-.else
-CONFIGURE_ARGS+=--disable-otr
-PLIST_SUB+=	OTR="@comment "
-.endif
+GPGME_LIB_DEPENDS=	libgpgme.so:${PORTSDIR}/security/gpgme
+GPGME_CONFIGURE_ENABLE=	gpgme
+ASPELL_LIB_DEPENDS=	libaspell.so:${PORTSDIR}/textproc/aspell
+ASPELL_CONFIGURE_ENABLE=aspell
+ENCHANT_LIB_DEPENDS=	libenchant.so:${PORTSDIR}/textproc/enchant
+ENCHANT_CONFIGURE_ENABLE=enchant
+OTR_LIB_DEPENDS=	libotr.so.4:${PORTSDIR}/security/libotr3 \
+			libgcrypt.so:${PORTSDIR}/security/libgcrypt
+OTR_CONFIGURE_ENABLE=	otr
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|$$"$${datadir}"|"$${datadir}"|;s|-O2||'\
@@ -72,9 +48,9 @@ post-patch:
 		${WRKSRC}/Makefile.*
 
 post-install:
-	@${INSTALL} -d ${PREFIX}/share/applications/ ${EXAMPLESDIR}/
-	@${INSTALL} ${WRKSRC}/${PORTNAME}.desktop ${PREFIX}/share/applications/
-	@${CP} -R ${WRKSRC}/contrib ${DATADIR}/
-	${INSTALL_DATA} ${WRKSRC}/mcabberrc.example ${EXAMPLESDIR}/mcabberrc
+	@${INSTALL} -d ${STAGEDIR}${EXAMPLESDIR}/
+	@${INSTALL} ${WRKSRC}/${PORTNAME}.desktop ${STAGEDIR}${PREFIX}/share/applications/
+	@${CP} -R ${WRKSRC}/contrib ${STAGEDIR}${DATADIR}/
+	${INSTALL_DATA} ${WRKSRC}/mcabberrc.example ${STAGEDIR}${EXAMPLESDIR}/mcabberrc
 
 .include <bsd.port.mk>

Modified: head/net-im/mcabber/pkg-plist
==============================================================================
--- head/net-im/mcabber/pkg-plist	Sat Mar 29 14:07:59 2014	(r349515)
+++ head/net-im/mcabber/pkg-plist	Sat Mar 29 14:08:24 2014	(r349516)
@@ -39,6 +39,7 @@ lib/mcabber/libfifo.la
 lib/mcabber/liburlregex.so
 lib/mcabber/libfifo.so
 libdata/pkgconfig/mcabber.pc
+man/man1/mcabber.1.gz
 share/applications/mcabber.desktop
 %%EXAMPLESDIR%%/mcabberrc
 %%DATADIR%%/help/en/hlp.txt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2014-03-29 14:09:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!